## net.sourceforge.pmd.symboltable
Class NameOccurrence

    java.lang.Object
      net.sourceforge.pmd.symboltable.NameOccurrence

public class NameOccurrence
extends java.lang.Object

Constructor Summary
`NameOccurrence(SimpleNode location, java.lang.String image)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getArgumentCount()`
`java.lang.String` `getImage()`
`SimpleNode` `getLocation()`
`NameOccurrence` `getNameForWhichThisIsAQualifier()`
`int` `hashCode()`
`boolean` `isMethodOrConstructorInvocation()`
`boolean` `isOnLeftHandSide()`
`boolean` `isOnRightHandSide()`
`boolean` `isPartOfQualifiedName()`
`boolean` `isSelfAssignment()`
`boolean` `isThisOrSuper()`
`void` `setArgumentCount(int count)`
`void` `setIsMethodOrConstructorInvocation()`
`void` `setNameWhichThisQualifies(NameOccurrence qualifiedName)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NameOccurrence

    public NameOccurrence(SimpleNode location,
                          java.lang.String image)

Method Detail

### setIsMethodOrConstructorInvocation

    public void setIsMethodOrConstructorInvocation()

### setArgumentCount

    public void setArgumentCount(int count)

### getArgumentCount

    public int getArgumentCount()

### isMethodOrConstructorInvocation

    public boolean isMethodOrConstructorInvocation()

### setNameWhichThisQualifies

    public void setNameWhichThisQualifies(NameOccurrence qualifiedName)

### getNameForWhichThisIsAQualifier

    public NameOccurrence getNameForWhichThisIsAQualifier()

### isPartOfQualifiedName

    public boolean isPartOfQualifiedName()

### getLocation

    public SimpleNode getLocation()

### isOnRightHandSide

    public boolean isOnRightHandSide()

### isOnLeftHandSide

    public boolean isOnLeftHandSide()

### isSelfAssignment

    public boolean isSelfAssignment()

### isThisOrSuper

    public boolean isThisOrSuper()

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### getImage

    public java.lang.String getImage()

### toString

    public java.lang.String toString()

Copyright © 2002-2006 InfoEther. All Rights Reserved.